wl_shm_pool(3)

NAME
wl_shm_pool -

SYNOPSIS

  Public Member Functions
void wl_shm_pool_unref (struct wl_shm_pool *pool)

  Data Fields
struct wl_resource * resource
int internal_refcount
int external_refcount
char * data
int32_t size
int32_t new_size

Member Function Documentation

  void wl_shm_pool_unref (struct wl_shm_pool * pool)
Unreference a shm_pool

Parameters:
    pool The pool object

Drops a reference to a wl_shm_pool object.

This is only necessary if the compositor has explicitly taken a reference with wl_shm_buffer_ref_pool(), otherwise the pool will be automatically destroyed when appropriate.

See also:
    wl_shm_buffer_ref_pool

Field Documentation

  char* wl_shm_pool::data

  int wl_shm_pool::external_refcount

  int wl_shm_pool::internal_refcount

  int32_t wl_shm_pool::new_size

  struct wl_resource* wl_shm_pool::resource

  int32_t wl_shm_pool::size

Author

Generated automatically by Doxygen for Wayland from the source code.